%define module_name Crypt-xxHash
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libsowing-devel perl(ExtUtils/CBuilder.pm) perl(File/Which.pm) perl(IPC/Run.pm) perl(Math/Int64.pm) perl(Module/Build.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt2
Summary: xxHash implementation for Perl
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CD/CDN/%{module_name}-%{version}.tar.gz

%description
xxHash is a super fast algorithm that claims to work at speeds close to RAM limits.
This package provides 32- and 64-bit hash functions.
As bonus it provides 128-bit hex method.

This package was inspired by `Digest::xxHash', but it includes the fresh C code and has
some optimisations. Thus all hex methods are implemented in Perl XS.
Also this module doesn't use `Math::Int64' in favor of native 64 bit digits.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes README LICENSE
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.07-alt2
- rebuild with perl 5.38

* Fri Sep 29 2023 Igor Vlasenko <viy@altlinux.org> 0.07-alt1
- updated by package builder

* Sun Dec 05 2021 Igor Vlasenko <viy@altlinux.org> 0.06-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.03-alt2
- rebuild with perl 5.34.0

* Tue Mar 30 2021 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

